Bug 218018 - Review Request: spampd - Transparent SMTP/LMTP proxy filter using spamassassin
Review Request: spampd - Transparent SMTP/LMTP proxy filter using spamassassin
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Horák
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-12-01 05:54 EST by Matthias Saou
Modified: 2013-12-17 08:26 EST (History)
2 users (show)

See Also:
Fixed In Version: 2.30-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-12 14:27:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Matthias Saou 2006-12-01 05:54:29 EST
Spec URL: http://ftp.es6.freshrpms.net/tmp/extras/spampd.spec
SRPM URL: http://ftp.es6.freshrpms.net/tmp/extras/spampd-2.30-2.src.rpm
Description:
Spampd is a program used within an e-mail delivery system to scan messages for
possible Unsolicited Commercial E-mail (UCE, aka spam) content. It uses
SpamAssassin (SA) to do the actual message scanning. Spampd acts as a
transparent SMTP/LMTP proxy between two mail servers, and during the
transaction it passes the mail through SA. If SA decides the mail could be
spam, then spampd will ask SA to add some headers and a report to the message
indicating it's spam and why.
Comment 1 manuel wolfshant 2006-12-01 13:36:42 EST
Unofficial review as I am just a contributor.

rpmlint gives two warnings on the src.rpm
   W: spampd strange-permission spampd.init 0744
   W: spampd setup-not-quiet
First one can be ignored, second one can be silenced adding -q to %setup

rpmlint gives the following on the binary:
E: spampd non-standard-uid /var/spool/spampd spampd
E: spampd non-standard-gid /var/spool/spampd spampd
E: spampd non-standard-dir-perm /var/spool/spampd 0750
These can be safely ignored, the daemon runs as (newly created) user spamd

W: spampd no-reload-entry /etc/rc.d/init.d/spampd
Can be ignored

W: spampd incoherent-subsys /etc/rc.d/init.d/spampd $prog
This one can be ignored, it is triggered by usage of the shell variable $prog
for "spampd" in the script

Not a blocker: BuildRoot is not the one recommended at
http://fedoraproject.org/wiki/Packaging/Guidelines#head-f196e7b2477c2f5dd97ef64e8eacddfb517f1aa1


Good
- package meets naming guidelines
- package meets packaging guidelines
- license is GPL, as mentioned on the upstream project page. However it is not
included in the tar.gz, so upstream SHOULD be bugged to included it; for the
time being, the license is (correctly) not included in %doc
- spec file legible, in am. english
- source matches upstream (742c6f2cb75db54e59d044a8ee40445f  spampd-2.30.tar.gz)
- package compiles in mock on i386 and x86_64 architectures
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all files and directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- not a GUI so no need for .desktop file 
- not a devel package, no header / static libraries / .la / .pc files
- no need for post/postun ldconfig
- service is added to list of services but not started by default and also
removed at uninstallation time
- all pre/post scripts are sane

I guess that someone with more power then me should APPROVE it, especially if
you silence the %setup stage.

As a personal question: why is the initial rpm release labeled -2 ?
Comment 2 Dan Horák 2007-01-13 13:55:18 EST
ping
Comment 3 Matthias Saou 2007-01-29 12:36:49 EST
Isn't anyone interested in making a formal review of this package? :-(
Why was it put as NEEDINFO? I don't see any needed info... silencing %setup is
trivial an non-mandatory, and the BuildRoot is the one I use. For anything else,
please comment...
Comment 4 Dan Horák 2007-01-29 13:15:45 EST
It looked to me as a forgotten package, because there was no reaction, so I have
put the status to NEEDINFO. And I will do the formal review.

There is a small typo in the "pre" script - /dev/nulll vs. /dev/null

In all other points I agree with Manuel, so with the typo fixed there are no
blockers and the package is APPROVED
Comment 5 Gianluca Sforna 2007-01-29 13:28:54 EST
I'd love to have this on my mail server...

The pacakge looks good, but I think you should fix line 55 ( s/nulll/null/ ) and
add 
Requires(post): /sbin/chkconfig
Requires(preun): /sbin/chkconfig
Requires(preun): /sbin/service

as suggested in:
http://fedoraproject.org/wiki/Packaging/ScriptletSnippets

Comment 6 Matthias Saou 2007-01-29 13:36:31 EST
Thanks! You can quickly check the latest package if you want, just in case :
http://ftp.es6.freshrpms.net/tmp/extras/spampd-2.30-3.fc6.src.rpm
http://ftp.es6.freshrpms.net/tmp/extras/spampd-2.30-3.fc6.noarch.rpm
http://ftp.es6.freshrpms.net/tmp/extras/spampd.spec

Changes :
- Fixed spampd.init mode to 755
- Fixed type in %pre (/dev/nulll)
- Silenced the %setup step
- Add scriplet chkconfig and service requirements

Note that I've been running this in production since November... works great for me!
Comment 7 Bojan Smojver 2013-12-17 00:09:48 EST
Package Change Request
======================
Package Name: spampd
New Branches: 
Owners: thias
InitialCC: 

I have requested commit access to this package in order to fix bugs #1038388 and #678137. In addition, the patches will convert this package to systemd.

Could you please add me to the list of committers. I have not had any reply from the maintainer or on the devel list.

Thanks.
Comment 8 Jon Ciesla 2013-12-17 07:53:43 EST
This is handled in pkgdb.
Comment 9 Bojan Smojver 2013-12-17 08:25:31 EST
(In reply to Jon Ciesla from comment #8)
> This is handled in pkgdb.

I am aware of that. Fedora wiki says that it is OK to involve admin when the maintainer is unresponsive.
Comment 10 Bojan Smojver 2013-12-17 08:26:48 EST
Also, I have already submitted commit requests in pkgdb.

Note You need to log in before you can comment on or make changes to this bug.